2009年10月16日

[Apache-Users 7468]httpd-2.2.14 + mod_perl-2.0.4 で "Software caused connection abort at"

** Apache ユーザーズメーリングリスト **
** 注意:このメールへの返信は Apache-Users へ行きます **

矢野と申します。はじめまして。

RHEL3 に apache httpd と mod_perl をソースからイントールして使用しています。
先日、脆弱性対応で httpd-2.2.9 を httpd-2.2.13 を使用して再構築を行いました。

mod_perl を使用した CGI に ab で負荷を発生し高付加状態になると、下記のエラーを発
生しました。

[error] Software caused connection abort at 〜 line 〜.\n

発生箇所は、HTML::Template の output メソッドでした。

この現象は、httpd-2.2.14 を使用した場合でも同様であることを確認しています。

使用カーネルは、下のとおりです。

$ uname -srvpio
Linux 2.4.21-32.0.1.ELhugemem #1 SMP Tue May 17 17:43:22 EDT 2005 i686 i386
GNU/Linux

perlは、perl-5.8.9 をソースからインストールしたものを使用しています。

尚、その他にもいくつかのパターンを試しています。

【問題なし】
httpd-2.2.9 ( apr-1.3.8 / apr-util-1.3.9 ) + mod_perl-2.0.3 + perl-5.8.3
httpd-2.2.9 ( apr-1.3.8 / apr-util-1.3.9 ) + mod_perl-2.0.4 + perl-5.8.3
httpd-2.2.9 ( apr-1.3.8 / apr-util-1.3.9 ) + mod_perl-2.0.3 + perl-5.8.9
httpd-2.2.9 ( apr-1.3.8 / apr-util-1.3.9 ) + mod_perl-2.0.4 + perl-5.8.9

【現象発生】
httpd-2.2.13 + mod_perl-2.0.3 + perl-5.8.3
httpd-2.2.13 + mod_perl-2.0.4 + perl-5.8.3
httpd-2.2.13 + mod_perl-2.0.3 + perl-5.8.9
httpd-2.2.13 + mod_perl-2.0.4 + perl-5.8.9
httpd-2.2.14 + mod_perl-2.0.3 + perl-5.8.3
httpd-2.2.14 + mod_perl-2.0.4 + perl-5.8.3
httpd-2.2.14 + mod_perl-2.0.3 + perl-5.8.9
httpd-2.2.14 + mod_perl-2.0.4 + perl-5.8.9

この現象について、何らかの情報があれば、御教示お願いします。

--
入退会・変更・配送一時停止は以下へ
http://www.apache.jp/mailman/listinfo/apache-users


投稿者 xml-rpc : 2009年10月16日 15:30
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/89441
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。